opencv: CvSVMSolver Class Reference

Public Types | Public Member Functions | Public Attributes

# CvSVMSolver Class Reference

`#include <ml.hpp>`

List of all members.

## Public Types
typedef void(CvSVMSolver::* | CalcRho )(double &rho, double &r)
typedef float *(CvSVMSolver::* | GetRow )(int i, float *row, float *dst, bool existed)
typedef bool(CvSVMSolver::* | SelectWorkingSet )(int &i, int &j)
## Public Member Functions
virtual void | calc_rho (double &rho, double &r)
virtual void | calc_rho_nu_svm (double &rho, double &r)
virtual void | clear ()
virtual bool | create (int count, int var_count, const float **samples, schar *y, int alpha_count, double *alpha, double Cp, double Cn, CvMemStorage *storage, CvSVMKernel *kernel, GetRow get_row, SelectWorkingSet select_working_set, CalcRho calc_rho)
| CvSVMSolver (int count, int var_count, const float **samples, schar *y, int alpha_count, double *alpha, double Cp, double Cn, CvMemStorage *storage, CvSVMKernel *kernel, GetRow get_row, SelectWorkingSet select_working_set, CalcRho calc_rho)
| CvSVMSolver ()
virtual float * | get_row (int i, float *dst)
virtual float * | get_row_base (int i, bool *_existed)
virtual float * | get_row_one_class (int i, float *row, float *dst, bool existed)
virtual float * | get_row_svc (int i, float *row, float *dst, bool existed)
virtual float * | get_row_svr (int i, float *row, float *dst, bool existed)
virtual bool | select_working_set (int &i, int &j)
virtual bool | select_working_set_nu_svm (int &i, int &j)
virtual bool | solve_c_svc (int count, int var_count, const float **samples, schar *y, double Cp, double Cn, CvMemStorage *storage, CvSVMKernel *kernel, double *alpha, CvSVMSolutionInfo &si)
virtual bool | solve_eps_svr (int count, int var_count, const float **samples, const float *y, CvMemStorage *storage, CvSVMKernel *kernel, double *alpha, CvSVMSolutionInfo &si)
virtual bool | solve_generic (CvSVMSolutionInfo &si)
virtual bool | solve_nu_svc (int count, int var_count, const float **samples, schar *y, CvMemStorage *storage, CvSVMKernel *kernel, double *alpha, CvSVMSolutionInfo &si)
virtual bool | solve_nu_svr (int count, int var_count, const float **samples, const float *y, CvMemStorage *storage, CvSVMKernel *kernel, double *alpha, CvSVMSolutionInfo &si)
virtual bool | solve_one_class (int count, int var_count, const float **samples, CvMemStorage *storage, CvSVMKernel *kernel, double *alpha, CvSVMSolutionInfo &si)
virtual | ~CvSVMSolver ()
## Public Attributes
double * | alpha
int | alpha_count
schar * | alpha_status
double * | b
float * | buf [2]
double | C [2]
int | cache_line_size
int | cache_size
CalcRho | calc_rho_func
double | eps
double * | G
GetRow | get_row_func
CvSVMKernel * | kernel
CvSVMKernelRow | lru_list
int | max_iter
const CvSVMParams * | params
CvSVMKernelRow * | rows
int | sample_count
const float ** | samples
SelectWorkingSet | select_working_set_func
CvMemStorage * | storage
int | var_count
schar * | y

## Member Typedef Documentation

typedef void(CvSVMSolver::* CvSVMSolver::CalcRho)(double &rho, double &r)

typedef float*(CvSVMSolver::* CvSVMSolver::GetRow)(int i, float *row, float *dst, bool existed)

typedef bool(CvSVMSolver::* CvSVMSolver::SelectWorkingSet)(int &i, int &j)

## Constructor & Destructor Documentation

CvSVMSolver::CvSVMSolver | ( | ) |

CvSVMSolver::CvSVMSolver | ( | int | count,
|  | int | var_count,
|  | const float ** | samples,
|  | schar * | y,
|  | int | alpha_count,
|  | double * | alpha,
|  | double | Cp,
|  | double | Cn,
|  | CvMemStorage * | storage,
|  | CvSVMKernel * | kernel,
|  | GetRow | get_row,
|  | SelectWorkingSet | select_working_set,
|  | CalcRho | calc_rho
| ) |  |

virtual CvSVMSolver::~CvSVMSolver | ( | ) | `[virtual]`

## Member Function Documentation

virtual void CvSVMSolver::calc_rho | ( | double & | rho,
|  | double & | r
| ) |  | `[virtual]`

virtual void CvSVMSolver::calc_rho_nu_svm | ( | double & | rho,
|  | double & | r
| ) |  | `[virtual]`

virtual void CvSVMSolver::clear | ( | ) | `[virtual]`

virtual bool CvSVMSolver::create | ( | int | count,
|  | int | var_count,
|  | const float ** | samples,
|  | schar * | y,
|  | int | alpha_count,
|  | double * | alpha,
|  | double | Cp,
|  | double | Cn,
|  | CvMemStorage * | storage,
|  | CvSVMKernel * | kernel,
|  | GetRow | get_row,
|  | SelectWorkingSet | select_working_set,
|  | CalcRho | calc_rho
| ) |  | `[virtual]`

virtual float* CvSVMSolver::get_row | ( | int | i,
|  | float * | dst
| ) |  | `[virtual]`

virtual float* CvSVMSolver::get_row_base | ( | int | i,
|  | bool * | _existed
| ) |  | `[virtual]`

virtual float* CvSVMSolver::get_row_one_class | ( | int | i,
|  | float * | row,
|  | float * | dst,
|  | bool | existed
| ) |  | `[virtual]`

virtual float* CvSVMSolver::get_row_svc | ( | int | i,
|  | float * | row,
|  | float * | dst,
|  | bool | existed
| ) |  | `[virtual]`

virtual float* CvSVMSolver::get_row_svr | ( | int | i,
|  | float * | row,
|  | float * | dst,
|  | bool | existed
| ) |  | `[virtual]`

virtual bool CvSVMSolver::select_working_set | ( | int & | i,
|  | int & | j
| ) |  | `[virtual]`

virtual bool CvSVMSolver::select_working_set_nu_svm | ( | int & | i,
|  | int & | j
| ) |  | `[virtual]`

virtual bool CvSVMSolver::solve_c_svc | ( | int | count,
|  | int | var_count,
|  | const float ** | samples,
|  | schar * | y,
|  | double | Cp,
|  | double | Cn,
|  | CvMemStorage * | storage,
|  | CvSVMKernel * | kernel,
|  | double * | alpha,
|  | CvSVMSolutionInfo & | si
| ) |  | `[virtual]`

virtual bool CvSVMSolver::solve_eps_svr | ( | int | count,
|  | int | var_count,
|  | const float ** | samples,
|  | const float * | y,
|  | CvMemStorage * | storage,
|  | CvSVMKernel * | kernel,
|  | double * | alpha,
|  | CvSVMSolutionInfo & | si
| ) |  | `[virtual]`

virtual bool CvSVMSolver::solve_generic | ( | CvSVMSolutionInfo & | si ) | `[virtual]`

virtual bool CvSVMSolver::solve_nu_svc | ( | int | count,
|  | int | var_count,
|  | const float ** | samples,
|  | schar * | y,
|  | CvMemStorage * | storage,
|  | CvSVMKernel * | kernel,
|  | double * | alpha,
|  | CvSVMSolutionInfo & | si
| ) |  | `[virtual]`

virtual bool CvSVMSolver::solve_nu_svr | ( | int | count,
|  | int | var_count,
|  | const float ** | samples,
|  | const float * | y,
|  | CvMemStorage * | storage,
|  | CvSVMKernel * | kernel,
|  | double * | alpha,
|  | CvSVMSolutionInfo & | si
| ) |  | `[virtual]`

virtual bool CvSVMSolver::solve_one_class | ( | int | count,
|  | int | var_count,
|  | const float ** | samples,
|  | CvMemStorage * | storage,
|  | CvSVMKernel * | kernel,
|  | double * | alpha,
|  | CvSVMSolutionInfo & | si
| ) |  | `[virtual]`

## Member Data Documentation

double* CvSVMSolver::alpha

int CvSVMSolver::alpha_count

schar* CvSVMSolver::alpha_status

double* CvSVMSolver::b

float* CvSVMSolver::buf[2]

double CvSVMSolver::C[2]

int CvSVMSolver::cache_line_size

int CvSVMSolver::cache_size

CalcRho CvSVMSolver::calc_rho_func

double CvSVMSolver::eps

double* CvSVMSolver::G

GetRow CvSVMSolver::get_row_func

CvSVMKernel* CvSVMSolver::kernel

CvSVMKernelRow CvSVMSolver::lru_list

int CvSVMSolver::max_iter

const CvSVMParams* CvSVMSolver::params

CvSVMKernelRow* CvSVMSolver::rows

int CvSVMSolver::sample_count

const float** CvSVMSolver::samples

SelectWorkingSet CvSVMSolver::select_working_set_func

CvMemStorage* CvSVMSolver::storage

int CvSVMSolver::var_count

schar* CvSVMSolver::y

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/ml/include/opencv2/ml/ml.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines